Package org.jboss.resteasy.plugins.server.vertx

## Class VertxHttpResponse

- java.lang.Object
- - org.jboss.resteasy.plugins.server.vertx.VertxHttpResponse

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `HttpResponse`

      public class VertxHttpResponse
      extends Object
      implements HttpResponse

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxHttpResponse​(io.vertx.core.http.HttpServerResponse response, ResteasyProviderFactory providerFactory)` |
    `VertxHttpResponse​(io.vertx.core.http.HttpServerResponse response, ResteasyProviderFactory providerFactory, io.vertx.core.http.HttpMethod method)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNewCookie​(javax.ws.rs.core.NewCookie cookie)` |
    `void` | `finish()` |
    `void` | `flushBuffer()` |
    `javax.ws.rs.core.MultivaluedMap<String,​Object>` | `getOutputHeaders()` |
    `OutputStream` | `getOutputStream()` |
    `int` | `getStatus()` |
    `boolean` | `isCommitted()` |
    `void` | `prepareChunkStream()` |
    `void` | `reset()` | reset status and headers.
    `void` | `sendError​(int status)` |
    `void` | `sendError​(int status, String message)` |
    `void` | `setOutputStream​(OutputStream os)` |
    `void` | `setStatus​(int status)` |
    `static void` | `transformHeaders​(VertxHttpResponse vertxResponse, io.vertx.core.http.HttpServerResponse response, ResteasyProviderFactory factory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.HttpResponse

      `close, getAsyncOutputStream, setSuppressExceptionDuringChunkedTransfer, suppressExceptionDuringChunkedTransfer`

- - ### Constructor Detail

    - #### VertxHttpResponse

          public VertxHttpResponse​(io.vertx.core.http.HttpServerResponse response,
                                   ResteasyProviderFactory providerFactory)

    - #### VertxHttpResponse

          public VertxHttpResponse​(io.vertx.core.http.HttpServerResponse response,
                                   ResteasyProviderFactory providerFactory,
                                   io.vertx.core.http.HttpMethod method)

  - ### Method Detail

    - #### setOutputStream

          public void setOutputStream​(OutputStream os)

      Specified by:
        `setOutputStream` in interface `HttpResponse`

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `HttpResponse`

    - #### setStatus

          public void setStatus​(int status)

      Specified by:
        `setStatus` in interface `HttpResponse`

    - #### getOutputHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​Object> getOutputHeaders()

      Specified by:
        `getOutputHeaders` in interface `HttpResponse`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### addNewCookie

          public void addNewCookie​(javax.ws.rs.core.NewCookie cookie)

      Specified by:
        `addNewCookie` in interface `HttpResponse`

    - #### sendError

          public void sendError​(int status)
                         throws IOException

      Specified by:
        `sendError` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### sendError

          public void sendError​(int status,
                                String message)
                         throws IOException

      Specified by:
        `sendError` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### isCommitted

          public boolean isCommitted()

      Specified by:
        `isCommitted` in interface `HttpResponse`

    - #### reset

          public void reset()

      Description copied from interface: `HttpResponse`
      reset status and headers. Will fail if response is committed
      Specified by:
        `reset` in interface `HttpResponse`

    - #### transformHeaders

          public static void transformHeaders​(VertxHttpResponse vertxResponse,
                                              io.vertx.core.http.HttpServerResponse response,
                                              ResteasyProviderFactory factory)

    - #### prepareChunkStream

          public void prepareChunkStream()

    - #### finish

          public void finish()
                      throws IOException

      Throws:
        `IOException`

    - #### flushBuffer

          public void flushBuffer()
                           throws IOException

      Specified by:
        `flushBuffer` in interface `HttpResponse`
      Throws:
        `IOException`